Debian Bug report logs - #134220
kernel-image-2.4.17-k7: framebuffer by default disabled

version graph

Package: kernel-image-2.4.16-i386; Maintainer for kernel-image-2.4.16-i386 is (unknown);

Reported by: Marco Herrn <herrn@gmx.net>

Date: Sat, 16 Feb 2002 12:03:03 UTC

Severity: normal

Tags: pending

Merged with 104101, 123987, 161931

Fixed in version kernel-image-2.4.20-i386/2.4.20-1

Done: Herbert Xu <herbert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>, kernel-image-2.4.17-i386@packages.qa.debian.org:
Bug#134220; Package kernel-image-2.4.17-k7. Full text and rfc822 format available.

Acknowledgement sent to Marco Herrn <herrn@gmx.net>:
New Bug report received and forwarded. Copy sent to Herbert Xu <herbert@debian.org>, kernel-image-2.4.17-i386@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Herrn <herrn@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kernel-image-2.4.17-k7: framebuffer by default disabled
Date: Sat, 16 Feb 2002 12:59:42 +0100
Package: kernel-image-2.4.17-k7
Version: N/A; reported 2002-02-16
Severity: important

When you install the kernel-image and in the /etc/lilo.conf is a framebuffer
video-mode selected you get a blank screen after booting.
I would prefer enabling framebuffer in the kernel image. If you decide to
not do that you should make sure that nobody get this problem. Maybe a check
for such an option and a recommendation to comment it out.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux darkstar 2.4.17 #1 Mon Feb 11 01:24:56 CET 2002 i686
Locale: LANG=C, LC_CTYPE=C




Information forwarded to debian-bugs-dist@lists.debian.org, Herbert Xu <herbert@debian.org>, kernel-image-2.4.17-i386@packages.qa.debian.org:
Bug#134220; Package kernel-image-2.4.17-k7. Full text and rfc822 format available.

Acknowledgement sent to Herbert Xu <herbert@gondor.apana.org.au>:
Extra info received and forwarded to list. Copy sent to Herbert Xu <herbert@debian.org>, kernel-image-2.4.17-i386@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 134220@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@gondor.apana.org.au>
To: Marco Herrn <herrn@gmx.net>, 134220@bugs.debian.org
Subject: Re: Bug#134220: kernel-image-2.4.17-k7: framebuffer by default disabled
Date: Sun, 17 Feb 2002 08:05:12 +1100
severity 134220 wishlist
reassign 134220 kernel
merge 134220 104101
quit

On Sat, Feb 16, 2002 at 12:59:42PM +0100, Marco Herrn wrote:
> Package: kernel-image-2.4.17-k7
> Version: N/A; reported 2002-02-16
> Severity: important
> 
> When you install the kernel-image and in the /etc/lilo.conf is a framebuffer
> video-mode selected you get a blank screen after booting.
> I would prefer enabling framebuffer in the kernel image. If you decide to
> not do that you should make sure that nobody get this problem. Maybe a check
> for such an option and a recommendation to comment it out.

Please check the BTS for duplicates before filing bug reports.
-- 
Debian GNU/Linux 2.2 is out! ( http://www.debian.org/ )
Email:  Herbert Xu ~{PmV>HI~} <herbert@gondor.apana.org.au>
Home Page: http://gondor.apana.org.au/~herbert/
PGP Key: http://gondor.apana.org.au/~herbert/pubkey.txt



Severity set to `wishlist'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel-image-2.4.17-k7' to `kernel'. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 104101 123987 134220. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 104101 123987 134220 161931. Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `kernel' to `tech-ctte'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `tech-ctte' to `kernel-image-2.4.16-i386'. Request was from Ian Jackson <ian@davenant.greenend.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Herbert Xu <herbert@gondor.apana.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Herbert Xu <herbert@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marco Herrn <herrn@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 104101-close@bugs.debian.org (full text, mbox):

From: Herbert Xu <herbert@debian.org>
To: 104101-close@bugs.debian.org
Subject: Bug#104101: fixed in kernel-image-2.4.20-i386 2.4.20-1
Date: Mon, 02 Dec 2002 20:57:23 -0500
We believe that the bug you reported is fixed in the latest version of
kernel-image-2.4.20-i386, which is due to be installed in the Debian FTP archive:

kernel-build-2.4.20_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-build-2.4.20_2.4.20-1_i386.deb
kernel-headers-2.4.20_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-headers-2.4.20_2.4.20-1_i386.deb
kernel-image-2.4-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-386_2.4.20-1_i386.deb
kernel-image-2.4-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-586tsc_2.4.20-1_i386.deb
kernel-image-2.4-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-686-smp_2.4.20-1_i386.deb
kernel-image-2.4-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-686_2.4.20-1_i386.deb
kernel-image-2.4-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k6_2.4.20-1_i386.deb
kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
kernel-image-2.4-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4-k7_2.4.20-1_i386.deb
kernel-image-2.4.20-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-386_2.4.20-1_i386.deb
kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
kernel-image-2.4.20-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-686_2.4.20-1_i386.deb
kernel-image-2.4.20-i386_2.4.20-1.dsc
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-i386_2.4.20-1.dsc
kernel-image-2.4.20-i386_2.4.20-1.tar.gz
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-i386_2.4.20-1.tar.gz
kernel-image-2.4.20-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k6_2.4.20-1_i386.deb
kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
kernel-image-2.4.20-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-image-2.4.20-k7_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb
  to pool/main/k/kernel-image-2.4.20-i386/kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 104101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Herbert Xu <herbert@debian.org> (supplier of updated kernel-image-2.4.20-i386 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sat, 30 Nov 2002 19:59:25 +1100
Source: kernel-image-2.4.20-i386
Binary: kernel-image-2.4-686-smp kernel-image-2.4-586tsc kernel-image-2.4.20-686-smp kernel-headers-2.4.20 kernel-pcmcia-modules-2.4.20-686 kernel-pcmcia-modules-2.4.20-k6 kernel-pcmcia-modules-2.4.20-k7 kernel-image-2.4-686 kernel-image-2.4.20-686 kernel-image-2.4-k6 kernel-image-2.4-k7 kernel-build-2.4.20 kernel-image-2.4.20-k7-smp kernel-image-2.4.20-586tsc kernel-pcmcia-modules-2.4.20-k7-smp kernel-image-2.4.20-k6 kernel-pcmcia-modules-2.4.20-386 kernel-image-2.4.20-k7 kernel-image-2.4-k7-smp kernel-image-2.4-386 kernel-pcmcia-modules-2.4.20-686-smp kernel-pcmcia-modules-2.4.20-586tsc kernel-image-2.4.20-386
Architecture: source i386
Version: 2.4.20-1
Distribution: unstable
Urgency: low
Maintainer: Herbert Xu <herbert@debian.org>
Changed-By: Herbert Xu <herbert@debian.org>
Description: 
 kernel-build-2.4.20 - Headers for building modules for Linux 2.4.20
 kernel-headers-2.4.20 - Header files related to Linux kernel version 2.4.20
 kernel-image-2.4-386 - Linux kernel image for version 2.4 on 386.
 kernel-image-2.4-586tsc - Linux kernel image for version 2.4 on Pentium-Classic.
 kernel-image-2.4-686 - Linux kernel image 2.4 on PPro/Celeron/PII/PIII/PIV.
 kernel-image-2.4-686-smp - Linux kernel image 2.4 on PPro/Celeron/PII/PIII/PIV SMP.
 kernel-image-2.4-k6 - Linux kernel image for version 2.4 on AMD K6/K6-II/K6-III.
 kernel-image-2.4-k7 - Linux kernel image for version 2.4 on AMD K7.
 kernel-image-2.4-k7-smp - Linux kernel image for version 2.4 on AMD K7 SMP.
 kernel-image-2.4.20-386 - Linux kernel image for version 2.4.20 on 386.
 kernel-image-2.4.20-586tsc - Linux kernel image for version 2.4.20 on Pentium-Classic.
 kernel-image-2.4.20-686 - Linux kernel image 2.4.20 on PPro/Celeron/PII/PIII/PIV.
 kernel-image-2.4.20-686-smp - Linux kernel image 2.4.20 on PPro/Celeron/PII/PIII/PIV SMP.
 kernel-image-2.4.20-k6 - Linux kernel image for version 2.4.20 on AMD K6/K6-II/K6-III.
 kernel-image-2.4.20-k7 - Linux kernel image for version 2.4.20 on AMD K7.
 kernel-image-2.4.20-k7-smp - Linux kernel image for version 2.4.20 on AMD K7 SMP.
 kernel-pcmcia-modules-2.4.20-386 - Mainstream PCMCIA modules 2.4.20 on 386.
 kernel-pcmcia-modules-2.4.20-586tsc - Mainstream PCMCIA modules 2.4.20 on Pentium-Classic.
 kernel-pcmcia-modules-2.4.20-686 - Mainstream PCMCIA modules 2.4.20 on PPro/Celeron/PII/PIII/PIV.
 kernel-pcmcia-modules-2.4.20-686-smp - Mainstream PCMCIA modules 2.4.20 on PPro/Celeron/PII/PIII/PIV SMP
 kernel-pcmcia-modules-2.4.20-k6 - Mainstream PCMCIA modules 2.4.20 on AMD K6/K6-II/K6-III.
 kernel-pcmcia-modules-2.4.20-k7 - Mainstream PCMCIA modules 2.4.20 on AMD K7.
 kernel-pcmcia-modules-2.4.20-k7-smp - Mainstream PCMCIA modules 2.4.20 on AMD K7 SMP.
Closes: 104101 165405 166986 167732
Changes: 
 kernel-image-2.4.20-i386 (2.4.20-1) unstable; urgency=low
 .
   * New upstream release.
   * Reenabled CONFIG_VIDEO_SELECT since CONFIG_VIDEO_VESA is now conditional
     (closes: #165405).
   * Moved udebs to standalone source package.
   * Enabled CONFIG_HOTPLUG_PCI_ACPI.
   * Enabled CONFIG_VESA_FB as a module (closes: #104101).
   * Depend on initrd-tools 0.1.34 so that VESA FB can be loaded correctly.
   * Added coreutils as an alternative to fileutils.
   * Disabled EPATC8 by default (closes: #166986).
   * Disabled CONFIG_NET_SCH_INGRESS (closes: #167732).
   * Consolidated flavoured kernel header packages into one.
Files: 
 9ff5306e18b13fa89494e94ec85dfd60 1347 devel optional kernel-image-2.4.20-i386_2.4.20-1.dsc
 d60a203f3b4df9ad8ca16dfe5f4d629d 83075 devel optional kernel-image-2.4.20-i386_2.4.20-1.tar.gz
 1e25f05ae66948f63b35eaf01d86a605 4105384 devel optional kernel-headers-2.4.20_2.4.20-1_i386.deb
 3bb3b64dd113321c875e3f9163737796 267508 base optional kernel-pcmcia-modules-2.4.20-386_2.4.20-1_i386.deb
 a3b5765cdfdf0c265d7a835dd1da3df9 4162 base optional kernel-image-2.4-386_2.4.20-1_i386.deb
 e70976e04734d172fa90c1b4c730136f 9678990 base optional kernel-image-2.4.20-386_2.4.20-1_i386.deb
 546009efc9bda92d1ae5917ae214cf9c 264566 base optional kernel-pcmcia-modules-2.4.20-586tsc_2.4.20-1_i386.deb
 6ce2cf7829468ac2a84f817e995202ff 4180 base optional kernel-image-2.4-586tsc_2.4.20-1_i386.deb
 61f693fdbd50ba0ceebf07c01eee1aa8 9620822 base optional kernel-image-2.4.20-586tsc_2.4.20-1_i386.deb
 f28a5f7d1d4a9e0dfca377af3499ca63 264196 base optional kernel-pcmcia-modules-2.4.20-686_2.4.20-1_i386.deb
 f520fabaf752a58f06ba3b454eee595f 4174 base optional kernel-image-2.4-686_2.4.20-1_i386.deb
 a2084ce3fe034405433fdf605694c217 9638202 base optional kernel-image-2.4.20-686_2.4.20-1_i386.deb
 53040172e8af26c543bfbf3e240109b5 269930 base optional kernel-pcmcia-modules-2.4.20-686-smp_2.4.20-1_i386.deb
 ae78679c7dbd0a3766ba2e4cac707154 4188 base optional kernel-image-2.4-686-smp_2.4.20-1_i386.deb
 391d4d9c8e9ad438a3c0091b16b2c87a 9928880 base optional kernel-image-2.4.20-686-smp_2.4.20-1_i386.deb
 cdef95f7614ffb88b99d645a2a37391c 263682 base optional kernel-pcmcia-modules-2.4.20-k6_2.4.20-1_i386.deb
 f59c34cff65ff9dd0f681a455451cb71 4176 base optional kernel-image-2.4-k6_2.4.20-1_i386.deb
 4f4a21f1052bfe7c390afc284c9bc69d 9523492 base optional kernel-image-2.4.20-k6_2.4.20-1_i386.deb
 32075b462a6b833245fc3998bb0d52d6 269566 base optional kernel-pcmcia-modules-2.4.20-k7_2.4.20-1_i386.deb
 8b5dd69032477dc5b19369fde1db9247 4166 base optional kernel-image-2.4-k7_2.4.20-1_i386.deb
 dbea63911cb1d3da04e26185797fac09 9824628 base optional kernel-image-2.4.20-k7_2.4.20-1_i386.deb
 56227d48b2377766fc2efd937c6a0484 274790 base optional kernel-pcmcia-modules-2.4.20-k7-smp_2.4.20-1_i386.deb
 56feeb0e70bdc79158ab7468df5a34c4 4192 base optional kernel-image-2.4-k7-smp_2.4.20-1_i386.deb
 663b449972bb250ec1663a35a95dd08e 10113278 base optional kernel-image-2.4.20-k7-smp_2.4.20-1_i386.deb
 069a23147dd0c52b6e59f1444a8f4d31 1751074 devel optional kernel-build-2.4.20_2.4.20-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: PGPfreeware 5.0i for non-commercial use
Charset: noconv

iQCVAwUBPenYKofMnsf5AzQhAQE5IgP9FIL0eRUwPttTBrZaphbKY7rftEXSuBCF
Uz61Pw7ruWdEF8BpcT663sD5I7GDs2iDvVeSe4lq99qzpoEU5DhjRbwxYDZBjdgv
vL5VfQotSZswIF8B5JzIfj9Vnh/Jgkd2y5DTxkEo/EYZZbP+1cCtJ4OMJ9hZLKqf
1Fq5jt9ipFU=
=Eun1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:29:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.